import { ApolloClient, NormalizedCacheObject, InMemoryCache } from '@apollo/client/index.js';
import { CdmLogger } from '@cdm-logger/core';
interface IApolloClientParams {
    initialState?: any;
    scope: 'browser' | 'server' | 'native';
    getDataIdFromObject: (x?: any) => string;
    clientState: any;
    isDebug: boolean;
    isDev: boolean;
    isSSR: boolean;
    httpGraphqlURL: string;
    httpLocalGraphqlURL: string;
    logger: CdmLogger.ILogger;
}
export declare const createApolloClient: ({ scope, isDev, isDebug, isSSR, getDataIdFromObject, clientState, httpGraphqlURL, httpLocalGraphqlURL, initialState, logger, }: IApolloClientParams) => {
    apolloClient: ApolloClient<NormalizedCacheObject>;
    cache: InMemoryCache;
};
export {};
