import { Middleware, StoreEnhancer } from 'redux';
import { EpicMiddleware, Epic } from 'redux-observable';
import { PersistConfig } from 'redux-persist';
interface IReduxStore<S = any> {
    scope: 'browser' | 'server' | 'native' | 'ElectronMain';
    isDebug: boolean;
    isDev: boolean;
    reducers: any;
    enhancers?: StoreEnhancer[];
    rootEpic: Epic<any, any, any, any>;
    epicMiddleware?: EpicMiddleware<any, any, S, any>;
    preMiddleware?: Middleware[];
    postMiddleware?: Middleware[];
    middleware?: Middleware[];
    initialState?: any;
    persistConfig?: PersistConfig<any>;
    reduxConfig?: any;
}
/**
 * Add any reducers required for this app dirctly in to
 * `combineReducers`
 */
export declare const createReduxStore: ({ scope, isDebug, isDev, reducers, rootEpic, enhancers, epicMiddleware, preMiddleware, postMiddleware, middleware, initialState, persistConfig, reduxConfig, }: IReduxStore<any>) => import("redux").Store<any, import("redux").UnknownAction, unknown>;
export {};
